From 1f52fac3d8a1331d68711716ba12f3e2ee93411a Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Thu, 11 Jun 2020 22:39:09 +0300
Subject: [PATCH 20/59] Adapt to changes in libapk-qt 0.3

* Rename link target to ApkQt::ApkQt
* rename header include <QtApk.h> => <QtApk>
---
 .../backends/AlpineApkBackend/AlpineApkAuthHelper.cpp     | 8 ++++----
 .../backends/AlpineApkBackend/AlpineApkAuthHelper.h       | 2 +-
 .../backends/AlpineApkBackend/AlpineApkBackend.cpp        | 2 +-
 libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h  | 2 +-
 .../backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp | 2 +-
 .../backends/AlpineApkBackend/AlpineApkUpdater.cpp        | 6 +++---
 libdiscover/backends/AlpineApkBackend/CMakeLists.txt      | 4 ++--
 7 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
index 11e267866..0496c8f28 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
@@ -73,7 +73,7 @@ ActionReply AlpineApkAuthHelper::update(const QVariantMap &args)
 
     HelperSupport::progressStep(10);
 
-    if (!m_apkdb.open(QtApk::Database::QTAPK_OPENF_READWRITE)) {
+    if (!m_apkdb.open(QtApk::QTAPK_OPENF_READWRITE)) {
         reply.setErrorDescription(QStringLiteral("Failed to open database!"));
         return reply;
     }
@@ -119,15 +119,15 @@ ActionReply AlpineApkAuthHelper::upgrade(const QVariantMap &args)
 
     HelperSupport::progressStep(10);
 
-    if (!m_apkdb.open(QtApk::Database::QTAPK_OPENF_READWRITE)) {
+    if (!m_apkdb.open(QtApk::QTAPK_OPENF_READWRITE)) {
         reply.setErrorDescription(QStringLiteral("Failed to open database!"));
         return reply;
     }
 
     bool onlySimulate = args.value(QLatin1String("onlySimulate"), false).toBool();
-    QtApk::Database::DbUpgradeFlags flags = QtApk::Database::QTAPK_UPGRADE_DEFAULT;
+    QtApk::DbUpgradeFlags flags = QtApk::QTAPK_UPGRADE_DEFAULT;
     if (onlySimulate) {
-        flags = QtApk::Database::QTAPK_UPGRADE_SIMULATE;
+        flags = QtApk::QTAPK_UPGRADE_SIMULATE;
         qCDebug(LOG_AUTHHELPER) << "Simulating upgrade run.";
     }
 
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h
index 5c06e5570..a634ce233 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h
@@ -22,7 +22,7 @@
 #include <QVariant>
 #include <KAuthActionReply>
 
-#include <QtApk.h>
+#include <QtApk>
 
 using namespace KAuth;
 
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
index 750d2820c..a089afea4 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
@@ -70,7 +70,7 @@ AlpineApkBackend::AlpineApkBackend(QObject *parent)
 
     qCDebug(LOG_ALPINEAPK) << "backend: populating resources...";
 
-    if (m_apkdb.open(QtApk::Database::QTAPK_OPENF_READONLY)) {
+    if (m_apkdb.open(QtApk::QTAPK_OPENF_READONLY)) {
         m_availablePackages = m_apkdb.getAvailablePackages();
         m_installedPackages = m_apkdb.getInstalledPackages();
         m_apkdb.close();
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h
index d69352575..755cf6a5a 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h
@@ -24,7 +24,7 @@
 #include <resources/AbstractResourcesBackend.h>
 #include <QVariantList>
 
-#include <QtApk.h>
+#include <QtApk>
 
 class AlpineApkReviewsBackend;
 class AlpineApkUpdater;
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp
index b964b40d1..225fb4436 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp
@@ -29,7 +29,7 @@
 #include <KLocalizedString>
 
 // libapk-qt
-#include <QtApk.h>
+#include <QtApk>
 
 AlpineApkSourcesBackend::AlpineApkSourcesBackend(AbstractResourcesBackend *parent)
     : AbstractSourcesBackend(parent)
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
index 89a816c44..0083f340d 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
@@ -28,7 +28,7 @@
 #include <kauth_version.h>
 #include <KLocalizedString>
 
-#include <QtApk.h>
+#include <QtApk>
 
 
 AlpineApkUpdater::AlpineApkUpdater(AbstractResourcesBackend *parent)
@@ -49,12 +49,12 @@ void AlpineApkUpdater::prepare()
     }
 
     // readonly is fine for a simulation of upgrade
-    if (!db->open(QtApk::Database::QTAPK_OPENF_READONLY)) {
+    if (!db->open(QtApk::QTAPK_OPENF_READONLY)) {
         emit passiveMessage(i18n("Failed to open APK database!"));
         return;
     }
 
-    if (!db->upgrade(QtApk::Database::QTAPK_UPGRADE_SIMULATE, &m_upgradeable)) {
+    if (!db->upgrade(QtApk::QTAPK_UPGRADE_SIMULATE, &m_upgradeable)) {
         emit passiveMessage(i18n("Failed to get a list of packages to upgrade!"));
         db->close();
         return;
diff --git a/libdiscover/backends/AlpineApkBackend/CMakeLists.txt b/libdiscover/backends/AlpineApkBackend/CMakeLists.txt
index 42e09c5b6..319c7ad2f 100644
--- a/libdiscover/backends/AlpineApkBackend/CMakeLists.txt
+++ b/libdiscover/backends/AlpineApkBackend/CMakeLists.txt
@@ -38,7 +38,7 @@ target_link_libraries(
         KF5::ConfigCore
         KF5::AuthCore
         Discover::Common
-        ApkQt::apk-qt
+        ApkQt::ApkQt
 )
 
 # KAuth helper exe
@@ -54,7 +54,7 @@ set_source_files_properties(
 target_link_libraries(alpineapk_kauth_helper
     Qt5::Core
     KF5::AuthCore
-    ApkQt::apk-qt
+    ApkQt::ApkQt
 )
 
 kauth_install_actions(org.kde.discover.alpineapkbackend org.kde.discover.alpineapkbackend.actions)
-- 
GitLab


